Rails rvm --default use 1.9.3 这命令不行么?

xoxoj · 2012年04月10日 · 最后由 jiffies 回复于 2012年04月12日 · 3092 次阅读

我的 MAC 本来装了有 1.9.2 但是后来升级了 1.9.3 我就想把默认的 ruby 版本设置成 1.9.3,于是我用了这个命令,来设置 rvm --default use 1.9.3

可是当我重启机器后,或者重新打开 Shell 的时候,默认的 ruby 版本又回到了 1.9.2 去了,有人遇到同样问题了么?

我没有这个问题,试试看 rvm 1.9.3 --default

去掉原来的 1.9.2 的环境变量, 然后再用 rvm 重新安装一份.

找到原因了,需要在.bash_profile 里设置一下就行了。希望大家以后遇到这个问题,能轻松解决啊

lz 对 linux 不熟悉啊。呵呵

#3 楼 @xoxoj 设置的是 RVM 的环境变量?

需要 登录 后方可回复, 如果你还没有账号请 注册新账号